<TableLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content" >

    <TableRow
        android:id="@+id/tableRow1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="#30000000" >

        <ImageButton
            android:id="@+id/btn_palette"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="@null"
            android:contentDescription="@null"
            android:src="@drawable/icon_palette_on" />

        <LinearLayout
            android:id="@+id/linear_palette_items1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="horizontal" >

            <ImageButton
                android:id="@+id/radio_btn_pen"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:contentDescription="@string/pen"
                android:src="@drawable/icon_pen_off" />

            <ImageButton
                android:id="@+id/radio_btn_marker"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:contentDescription="@string/marker"
                android:src="@drawable/icon_marker_off" />

            <ImageButton
                android:id="@+id/radio_btn_eraser"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@null"
                android:contentDescription="@string/eraser"
                android:src="@drawable/icon_eraser_off" />
        </LinearLayout>
    </TableRow>

    <TableRow
        android:id="@+id/tableRow2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content" >

        <LinearLayout
            android:id="@+id/linear_palette_items2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:background="#30000000"
            android:gravity="center_horizontal"
            android:orientation="vertical" >

            <Button
                android:id="@+id/btn_clear"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/clear" />

            <Button
                android:id="@+id/btn_save"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/save" />

            <Button
                android:id="@+id/btn_end"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/end" />
            <Button
                android:id="@+id/nextPage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Next"/>
            <Button
                android:id="@+id/backPage"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="Back"/>
        </LinearLayout>
    </TableRow>

</TableLayout>